Name:             glassfish-enterprise-concurrent
Version:          1.0
Release:          9%{dist}
Summary:          Concurrency Utilities for Java EE
License:          CDDL or GPLv2 with exceptions
Url:              https://java.net/projects/cu-javaee

# svn export https://svn.java.net/svn/cu-javaee~source-code-repository/tags/javax.enterprise.concurrent-1.0/  glassfish-enterprise-concurrent-1.0
# tar -zcvf glassfish-enterprise-concurrent-1.0.tar.gz glassfish-enterprise-concurrent-1.0
Source0:          glassfish-enterprise-concurrent-%{version}.tar.gz
Source1:          cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(javax.enterprise.concurrent:javax.enterprise.concurrent-api)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(net.java:jvnet-parent:pom:)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.glassfish.build:spec-version-maven-plugin)
BuildRequires:    mvn(org.jboss.spec.javax.management.j2ee:jboss-j2eemgmt-api_1.1_spec)

BuildArch:        noarch

%description
Reference Implementation for JSR 236 - Concurrency Utilities for Java EE

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n glassfish-enterprise-concurrent-%{version}

# Useless tasks
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"
%pom_remove_plugin :maven-source-plugin

%pom_change_dep "javax:javaee-web-api" "org.jboss.spec.javax.management.j2ee:jboss-j2eemgmt-api_1.1_spec:1.0.1.Final"

# Build problem with maven-bundle-plugin >= 3.0.1
# Remove license header
mv osgi.bundle osgi.bundle.old
echo '-exportcontents: \
                        org.glassfish.enterprise.concurrent; \
                        org.glassfish.enterprise.concurrent.internal; \
                        org.glassfish.enterprise.concurrent.spi; version=1.0' >> osgi.bundle

# Remove deprecated instruction
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-jar-plugin']/pom:configuration/pom:useDefaultManifestFile"
%pom_xpath_inject "pom:plugin[pom:artifactId = 'maven-jar-plugin']/pom:configuration" '
<archive>
 <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
</archive>'
              
cp %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license cddl.txt

%files javadoc -f .mfiles-javadoc
%license cddl.txt

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 06 2016 gil cattaneo <puntogil@libero.it> 1.0-5
- fix BRs list and use BRs mvn()-like
- introduce license macro

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0-1
- Initial import


